/**
  Author: Mark George <mark.george@otago.ac.nz>
  License: Zero-Clause BSD License
*/

package main

type GlobalOptions struct {
	Verbose      bool `short:"v" long:"verbose" description:"Show additional details."`
	HeadersOnly  bool `long:"headers" description:"Show headers and request/status line only (default is everything)."`
	BodiesOnly   bool `long:"bodies" description:"Show bodies only (default is everything)."`
	NoColour     bool `long:"nocolour" description:"Don't use colours (default is requests in blue and responses in red)."`
	NoTimestamps bool `long:"notimestamps" description:"Don't show timestamps."`
	NoIndent     bool `long:"noindent" description:"Don't indent bodies (currently, only application/json bodies are indented)."`
}

var (
	globalOptions = new(GlobalOptions)
)
